summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorLucki2019-06-14 13:32:51 +0200
committerLucki2019-06-14 16:17:24 +0200
commit592c17f54c80c9e6d280cba42c12bcaec12071bc (patch)
tree3c364fe2011e663056e92f3a18fbd271538c43ac /PKGBUILD
parentc93b8c7fa4409d793ccd729b7fa32e974d227e04 (diff)
downloadaur-londonlaw-git.tar.gz
just cosmetics, no version bump
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD34
1 files changed, 17 insertions, 17 deletions
diff --git a/PKGBUILD b/PKGBUILD
index 3cb41d020b6..7de92dca688 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -12,30 +12,30 @@ license=('GPL2')
changelog=.CHANGELOG
depends=('python2' 'hicolor-icon-theme')
makedepends=('git' 'python2-twisted' 'wxpython' 'python2-zope-interface')
-provides=("${_pkgname}")
-conflicts=("${_pkgname}")
-source=("${_pkgname}::git+https://github.com/anyc/londonlaw.git"
- "${_pkgname}.desktop")
+provides=("$_pkgname")
+conflicts=("$_pkgname")
+source=("$_pkgname::git+https://github.com/anyc/londonlaw.git"
+ "$_pkgname.desktop")
sha512sums=('SKIP'
'15f537cdca41dd72a37574151fba5df9cf70b02f849e72c3ffab65453ab69562209c7053454e9c065bbb657cf6c4fd982ef27edb124a6be91c690dfdfec8e9da')
pkgver()
{
- cd "${srcdir}/${_pkgname}" || exit
- git describe --long --tags | sed 's/^v//;s/\([^-]*-g\)/r\1/;s/-/./g'
+ cd "$srcdir/$_pkgname" || exit
+ git describe --long --tags | sed 's/^v//;s/\([^-]*-g\)/r\1/;s/-/./g'
}
package()
{
- cd "${srcdir}" || exit
- install -Dm644 "${_pkgname}.desktop" "${pkgdir}/usr/share/applications/${_pkgname}.desktop"
-
- cd "${_pkgname}" || exit
- python2 setup.py install --root="${pkgdir}" --prefix=/usr --optimize=1
-
- # https://lists.archlinux.org/pipermail/aur-general/2011-November/016777.html
- mkdir -p "${pkgdir}/usr/share/doc/${_pkgname}"
- cp -dpr --no-preserve=ownership "doc/." "${pkgdir}/usr/share/doc/${_pkgname}"
-
- install -Dm644 "${_pkgname}/guiclient/images/playericon0.jpg" "${pkgdir}/usr/share/icons/hicolor/48x48/apps/${_pkgname}.jpg"
+ cd "$srcdir" || exit
+ install -Dm644 "$_pkgname.desktop" "$pkgdir/usr/share/applications/$_pkgname.desktop"
+
+ cd "$_pkgname" || exit
+ python2 setup.py install --root="$pkgdir" --prefix=/usr --optimize=1
+
+ # https://lists.archlinux.org/pipermail/aur-general/2011-November/016777.html
+ mkdir -p "$pkgdir/usr/share/doc/$_pkgname"
+ cp -dpr --no-preserve=ownership "doc/." "$pkgdir/usr/share/doc/$_pkgname"
+
+ install -Dm644 "$_pkgname/guiclient/images/playericon0.jpg" "$pkgdir/usr/share/icons/hicolor/48x48/apps/$_pkgname.jpg"
}